Name:          libgcrypt
Version:       1.7.2
Release:       1mamba
Summary:       GNU's basic cryptographic library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnupg.org
Source:        ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-%{version}.tar.bz2
Patch0:        %{name}-1.4.5-cross_build_patch-1.patch
License:       LGPL
BuildRequires: libgpg-error-devel
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgpg-error-devel
## AUTOBUILDREQ-END
Requires(post):%{__install_info}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This is a general purpose cryptographic library based on the code from GnuPG.
It provides functions for all cryptograhic building blocks: symmetric ciphers (AES, DES, Blowfish, CAST5, Twofish, Arcfour), hash algorithms (MD4, MD5, RIPE-MD160, SHA-1, TIGER-192), MACs (HMAC for all hash algorithms), public key algorithms (RSA, ElGamal, DSA), large integer functions, random numbers and a lot of supporting functions.

%package devel
Summary:       Shared libraries for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This is a general purpose cryptographic library based on the code from GnuPG.
It provides functions for all cryptograhic building blocks: symmetric ciphers (AES, DES, Blowfish, CAST5, Twofish, Arcfour), hash algorithms (MD4, MD5, RIPE-MD160, SHA-1, TIGER-192), MACs (HMAC for all hash algorithms), public key algorithms (RSA, ElGamal, DSA), large integer functions, random numbers and a lot of supporting functions.
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Security
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%prep
%setup -q
#%patch0 -p1

%build
%configure \
%if "%{_host}" != "%{_build}"
  --disable-asm
%endif

%if "%{_host}" != "%{_build}"
%make DL_LIBS=%{_prefix}/%{_host}%{_libdir}/libgpg-error.so
%else
%make
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
%install_info gcrypt.info
#%install_info gcrypt.info-1
#%install_info gcrypt.info-2
:

%preun devel
%uninstall_info gcrypt.info
#%uninstall_info gcrypt.info-1
#%uninstall_info gcrypt.info-2
:

%files
%defattr(-,root,root)
%{_libdir}/libgcrypt.so.*
%doc AUTHORS COPYING.LIB

%files devel
%defattr(-,root,root)
%{_bindir}/libgcrypt-config
%{_datadir}/aclocal/libgcrypt.m4
#%{_includedir}/gcrypt-module.h
%{_includedir}/gcrypt.h
%{_libdir}/libgcrypt.la
%{_libdir}/libgcrypt.so
%{_infodir}/gcrypt.info.*
#%{_infodir}/gcrypt.info-1.*
#%{_infodir}/gcrypt.info-2.*
%doc ChangeLog NEWS README THANKS TODO

%files tools
%defattr(-,root,root)
%{_bindir}/dumpsexp
%{_bindir}/hmac256
%{_bindir}/mpicalc
%{_mandir}/man1/hmac256.1*

%changelog
* Tue Jul 19 2016 Automatic Build System <autodist@mambasoft.it> 1.7.2-1mamba
- automatic version update by autodist

* Fri Jun 17 2016 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Wed Feb 10 2016 Automatic Build System <autodist@mambasoft.it> 1.6.5-1mamba
- automatic update by autodist

* Thu Sep 10 2015 Automatic Build System <autodist@mambasoft.it> 1.6.4-1mamba
- automatic version update by autodist

* Tue Mar 03 2015 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic version update by autodist

* Sun Aug 24 2014 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Thu Feb 13 2014 Davide Madrisan <davide.madrisan@gmail.com> 1.6.1-2mamba
- fix the installation of info pages gcrypt.info-1,2

* Sat Feb 08 2014 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Sun Dec 29 2013 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic update by autodist

* Fri Jul 26 2013 Automatic Build System <autodist@mambasoft.it> 1.5.3-1mamba
- automatic update by autodist

* Thu Apr 18 2013 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Thu Mar 21 2013 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Thu Jul 21 2011 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic update by autodist

* Wed Jul 14 2010 Automatic Build System <autodist@mambasoft.it> 1.4.6-1mamba
- automatic update by autodist

* Tue Feb 09 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.5-1mamba
- update to 1.4.5
- fix info file installation error by moving install-info execution to devel scripts

* Tue May 13 2008 Aleph0 <aleph0@openmamba.org> 1.4.1-1mamba
- update to 1.4.1
- info page moved to the devel package

* Wed Mar 21 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.4-1qilnx
- update to version 1.2.4 by autospec

* Mon Aug 28 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.3-1qilnx
- update to version 1.2.3 by autospec

* Thu Oct 06 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.2-1qilnx
- update to version 1.2.2 by autospec

* Mon Jan 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.1-1qilnx
- update to version 1.2.1 by autospec

* Mon Sep 13 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-1qilnx
- package created by autospec
